Package org.opensaml.saml.saml2.assertion

# Interface StatementValidator

All Known Implementing Classes:
  `AuthnStatementValidator`

@ThreadSafe public interface StatementValidator
Validator used to validate `Statement`s within a given `Assertion`.

## Method Summary

Modifier and Type
Method
Description
`QName`
`getServicedStatement()`
Gets the element or schema type QName of the statement handled by this validator.
`ValidationResult`
`validate(Statement statement, Assertion assertion, ValidationContext context)`
Validates the given statement.

## Method Details

### getServicedStatement

@Nonnull QName getServicedStatement()
Gets the element or schema type QName of the statement handled by this validator.

Returns:
  element or schema type QName of the statement handled by this validator

### validate

@Nonnull ValidationResult validate(@Nonnull Statement statement, @Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Validates the given statement.

Parameters:
  `statement` - statement to be validated
  `assertion` - assertion bearing the statement
  `context` - current Assertion validation context
Returns:
  the validation result
Throws:
  `AssertionValidationException` - if there is a problem processing the validation operation